Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.csv
Class CSVAlign

    java.lang.Object
      com.mindprod.csv.CSVAlign

    public final class CSVAlign

extends java.lang.Object

align a CSV File into columns.

Use: java.exe com.mindprod.CSVAlign somefile.csv

Since:
  1998
Version:
  3.0 2009-06-15 - lookup table to speed CSVReader.
Author:
  Roedy Green, Canadian Mind Products

Constructor Summary
`CSVAlign(java.io.File file, char separator, char quote, char commentChar)` align a CSV file, constructor.

Method Summary
`static void` | `main(java.lang.String[] args)` Simple command line interface to AlignCSVFile.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVAlign

    public CSVAlign(java.io.File file,
                    char separator,
                    char quote,
                    char commentChar)
             throws java.io.IOException

  align a CSV file, constructor. Just create. There are no methods to call.

  Parameters:
    `file` - CSV file to be aligned in columns.
    `separator` - field separator character, usually ',' in North America, ';' in Europe and sometimes '\t' for tab.
    `quote` - char to use to enclose fields containing a separator, usually '\"' . Use (char)0 if you don't want a quote character.
    `commentChar` - char to use to introduce comments. Use (char) 0 if none. Only one character allowed.
  Throws:
    `java.io.IOException` - if problems reading/writing file

Method Detail

### main

    public static void main(java.lang.String[] args)

  Simple command line interface to AlignCSVFile. Aligns one file whose name is on the command line. Must have extension .csv
  Use java com.mindprod.CSVAlign somefile.csv

  Parameters:
    `args` - name of csv file to align in columns.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD